summaryrefslogtreecommitdiff
path: root/bin/gemini.sh
diff options
context:
space:
mode:
Diffstat (limited to 'bin/gemini.sh')
-rwxr-xr-xbin/gemini.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/gemini.sh b/bin/gemini.sh
new file mode 100755
index 0000000..5c2a845
--- /dev/null
+++ b/bin/gemini.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+if ! type entr > /dev/null; then
+ apk add entr
+fi
+
+openssl req -x509 -newkey rsa:4096 -keyout key.rsa -out cert.pem -days 3650 -nodes -subj "/CN=localhost"
+
+# php $(pwd)/public/index.php
+#find $(pwd) -type f -name '*.php' -o -name '*.twig'
+find $(pwd) -type f \( -name "*.php" -o -name "*.twig" \) -not \( -path "*/vendor/*" \) | entr -rn php $(pwd)/public/index.php